require "fire_dept/version"
require 'active_support/concern'

module FireDept
  extend ActiveSupport::Concern

  included do
    rescue_from(
      ActiveRecord::RecordNotFound,
      ActionController::RoutingError,
      ActionController::UnknownFormat,
      with: :not_found
    )

    rescue_from(
      ActionController::InvalidAuthenticityToken,
      ActionController::ParameterMissing
    ) do |e|
      head :bad_request
    end

    rescue_from(
      ActionView::MissingTemplate,
      ActionView::Template::Error
    ) do |e|
      head :not_acceptable
    end
  end
end
